<template>
  <article id="post" class="container">
    <div class="row">
      <header class="col-12">
        <h1>{{ news.title }}</h1>
        <img :src="getImg(news)" :alt="news.title" style="width: 100%">
      </header>
      <section class="col-12">
        <p>{{ news.content }}</p>
      </section>
    </div>

  </article>
  
</template>

<script>
  import defImg from '@/assets/js/mixin_defaultImg'

  export default {
    name: "SingleNews",
    mixins: [ defImg ],
    data() {
      return {
        news: {}
      }
    },
    watch: {
      '$route': 'getSingleNews'
    },
    beforeMount() {
      this.getSingleNews()
    },
    methods: {
      getSingleNews() {
        const vm = this
        this.news = news.filter(item => item.id === parseInt(vm.$route.params.id))[0]
      }
    }

  }

  const news = [
    {
      id: 1,
      title: 'news 1',
      content: 'this is full content for news with id 1',
      img: 'https://media.wsls.com/photo/2017/04/24/Whats%20News%20Today_1493062809311_9576980_ver1.0_1280_720.png'
    },
    {
      id: 2,
      title: 'news 2',
      content: 'this is full content for news with id 2',
      img: '',
    },
    {
      id: 3,
      title: 'news 3',
      content: 'this is full content for news with id 3',
      img: 'https://www.ctvnews.ca/polopoly_fs/1.4344128.1553095687!/httpImage/image.png_gen/derivatives/landscape_620/image.png',
    }
  ];

</script>

<style lang="sass">

</style>